org.jboss.jca.as.upgrader

## Class ModuleXml

- java.lang.Object
- - org.jboss.jca.as.upgrader.ModuleXml

-     public class ModuleXml
      extends java.lang.Object

  module.xml definitions
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleXml()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<java.lang.String>` | `getApi(java.lang.String commonApiVersion, java.lang.String commonSpiVersion, java.lang.String coreApiVersion)` Get the API definiton
    `static java.util.List<java.lang.String>` | `getImplementation(java.lang.String commonImplVersion, java.lang.String coreImplVersion, java.lang.String deployersCommonVersion, java.lang.String validatorVersion)` Get the implementation definiton
    `static java.util.List<java.lang.String>` | `getJdbc(java.lang.String jdbcVersion)` Get the JDBC definiton

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModuleXml

          public ModuleXml()

  - ### Method Detail

    - #### getApi

          public static java.util.List<java.lang.String> getApi(java.lang.String commonApiVersion,
                                                                java.lang.String commonSpiVersion,
                                                                java.lang.String coreApiVersion)

      Get the API definiton
      Parameters:
        `commonApiVersion` - The version
        `commonSpiVersion` - The version
        `coreApiVersion` - The version
      Returns:
        The value

    - #### getImplementation

          public static java.util.List<java.lang.String> getImplementation(java.lang.String commonImplVersion,
                                                                           java.lang.String coreImplVersion,
                                                                           java.lang.String deployersCommonVersion,
                                                                           java.lang.String validatorVersion)

      Get the implementation definiton
      Parameters:
        `commonImplVersion` - The version
        `coreImplVersion` - The version
        `deployersCommonVersion` - The version
        `validatorVersion` - The version
      Returns:
        The value

    - #### getJdbc

          public static java.util.List<java.lang.String> getJdbc(java.lang.String jdbcVersion)

      Get the JDBC definiton
      Parameters:
        `jdbcVersion` - The version
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)